#include "mainwindow.h"

#include <QMenu>
#include <QMenuBar>
#include <QLabel>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    showAct = new QAction(tr("&Show"), this);
    fileMenu = menuBar()->addMenu(tr("&Show"));
    fileMenu->addAction(showAct);

    connect(showAct, SIGNAL(triggered()), this, SLOT(showWebView()));

    QWidget *widget = new QWidget(this);
    setCentralWidget(widget);
}

MainWindow::~MainWindow()
{
}

void MainWindow::showWebView()
{
    webViewWindow.reset(new WebViewWindow(this));
    webViewWindow->show();
}
