#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "webviewwindow.h"

#include <QMainWindow>
#include <QScopedPointer>

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
private slots:
    void showWebView();
private:
    QMenu *fileMenu;
    QAction *showAct;
    QScopedPointer<WebViewWindow> webViewWindow;
};
#endif // MAINWINDOW_H
