#include "webviewwindow.h"

#include <QMenu>
#include <QMenuBar>

WebViewWindow::WebViewWindow(QMainWindow *parent) : QMainWindow(parent)
{
    hideAct = new QAction(tr("&Hide"), this);
    fileMenu = menuBar()->addMenu(tr("&Hide"));
    fileMenu->addAction(hideAct);

    connect(hideAct, SIGNAL(triggered()), this, SLOT(hide()));

    webView = new QQuickWidget(this);
    webView->setResizeMode(QQuickWidget::SizeRootObjectToView);
    webView->setSource(QStringLiteral("qrc:/webview.qml"));

    setCentralWidget(webView);
}
